Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  DXF-Export / Gigantisches Hinweisschild

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   DXF-Export / Gigantisches Hinweisschild (1130 mal gelesen)
gerhardt
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von gerhardt an!   Senden Sie eine Private Message an gerhardt  Schreiben Sie einen Gästebucheintrag für gerhardt

Beiträge: 104
Registriert: 06.10.2003

SWX 2007 SP3.0
P4 4Ghz
2GB Ram
ATI Fire GL3100

erstellt am: 13. Jan. 2006 10:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin

Wenn ich ein DXF aus einer SWX-Zeichnung auslesen will, dann macht er mir ein gigantisches Hinweisschild mit auf die Zeichnung. Die Zeichnung ist zwar im Ursprung vorhanden, aber winzig klein. Ich muß erst stark in den Ursprung zoomen. Auf dem Schild steht was mit Design Journal.

Kann man das irgendwo ausstellen? Das wäre nämlich nicht schlecht, denn sonst wären die ganzen dxf-Dateien fürn...

------------------
Munter bleiben

Peter

Irren ist menschlich. Aber wenn man richtig Mist bauen will, braucht man einen Computer.
(Dan Rather)
Dulce bellum inexpertis (Erasmus)
akt. Pratchett: Die Nachtwächter
Ab jetzt wird gebloggt!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gerhardt
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von gerhardt an!   Senden Sie eine Private Message an gerhardt  Schreiben Sie einen Gästebucheintrag für gerhardt

Beiträge: 104
Registriert: 06.10.2003

SWX 2007 SP3.0
P4 4Ghz
2GB Ram
ATI Fire GL3100

erstellt am: 13. Jan. 2006 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Riesenhinweis_1.JPG


Riesenhinweis_2.JPG

 
Ich stelle mal zwei Screenshots dazu.
Vielleicht wirds dann klarer.

Der erste Screenshot zeigt den Zustand wenn ich die dxf-Datei öffne und beim zweiten SCreenshot habe ich schon ein wenig in den Ursprung gezoomt.

------------------
Munter bleiben

Peter

Irren ist menschlich. Aber wenn man richtig Mist bauen will, braucht man einen Computer.
(Dan Rather)
Dulce bellum inexpertis (Erasmus)
akt. Pratchett: Die Nachtwächter
Ab jetzt wird gebloggt!

[Diese Nachricht wurde von gerhardt am 13. Jan. 2006 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

HaPe
Mitglied
Dipl. Ing Maschinenbau, Konstrukteur, CAD-Admin


Sehen Sie sich das Profil von HaPe an!   Senden Sie eine Private Message an HaPe  Schreiben Sie einen Gästebucheintrag für HaPe

Beiträge: 1096
Registriert: 27.11.2001

i7 CPU 960@3.20GHz
8GB Ram
Quadro 2000 4GB
70GB Raid 0
WIN7 prof. SP1 64 bit
SWX 2010 SP5.0
SWX 2012 SP5.0
SWX 2013 SP5.0

erstellt am: 13. Jan. 2006 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gerhardt 10 Unities + Antwort hilfreich


Journal.jpg

 
Hallo Gerhardt,

Das Schild was Du siehst ist das KonstruktionsJournal. Hast Du mal versucht das zu löschen (siehe Bild, RMT löschen)? Ansonsten evtl.
mal eine neue leere Vorlage erstellen

Zitat Hilfe:
>Sie können den Ablageort für die Konstruktionsvorlage in Extras, >Optionen, Systemoptionen, Dateipositionen festlegen. Wählen Sie in >Ordner anzeigen für die Option Konstruktionsjournalvorlage, um eine >Position hinzuzufügen oder zu löschen. Der Standardordner für die >Journalvorlage ist <Installationsverzeichnis>\lang\<German>\.


Gruß HaPe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

VBSpawn
Mitglied
Programmierer


Sehen Sie sich das Profil von VBSpawn an!   Senden Sie eine Private Message an VBSpawn  Schreiben Sie einen Gästebucheintrag für VBSpawn

Beiträge: 514
Registriert: 23.08.2005

Sorgfältige Planung ersetzt niemals pures Glück.

erstellt am: 13. Jan. 2006 12:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gerhardt 10 Unities + Antwort hilfreich

Ich glaube per Api hab ich was gefunden ...
siehe: http://files.solidworks.com/API/Examples/00000/0000s/0034/Example.htm
müsste auch per Option einstellbar sein (keine Ahnung wo)...

In dem zip ist ein bas Modul falls du es nicht lesen kannt hier der Progcode ...

'----------------------------------------------
' Saves current drawing file as a DXF in the same directory
'
' Preconditions:
'      1) a drawing file is open
'
' Postconditions:
'      1) DXF file is generated, overwriting any existing file

Option Explicit

Public Enum swSaveAsVersion_e
    swSaveAsCurrentVersion = 0  '  default
    swSaveAsSW98plus = 1    '  save SW model in SW98plus model format - NO LONGER SUPPORTED
    swSaveAsFormatProE = 2  '  save Sw part as Pro/E format .prt/.asm extension (not as Sw .prt/.asm)
End Enum

Public Enum swSaveAsOptions_e
    swSaveAsOptions_Silent = &H1    '  Save document silently or not
    swSaveAsOptions_Copy = &H2  '  Save document as a copy or not
    swSaveAsOptions_SaveReferenced = &H4    '  Save referenced documents or not (drawings and parts only)
End Enum

Public Enum swFileSaveError_e
    swGenericSaveError = &H1
    swReadOnlySaveError = &H2
    swFileNameEmpty = &H4  '  The filename must not be empty
    swFileNameContainsAtSign = &H8  '  The filename can not contain an '@' character
    swFileLockError = &H10
    swFileSaveFormatNotAvailable = &H20 '  The save as file type is not valid
    swFileSaveWithRebuildError = &H40  '  NO LONGER USED IN SW2001PLUS, moved to swFileSaveWarning_e
    swFileSaveAsDoNotOverwrite = &H80  '  The user chose not to overwrite an existing file
    swFileSaveAsInvalidFileExtension = &H100    '  The file extension differs from the Sw document type
End Enum

Public Enum swFileSaveWarning_e
    swFileSaveWarning_RebuildError = &H1    '  The file was saved, but with a rebuild error
End Enum

Public Enum swMessageBoxIcon_e
    swMbWarning = 1
    swMbInformation = 2
    swMbQuestion = 3
    swMbStop = 4
End Enum

Public Enum swMessageBoxBtn_e
    swMbAbortRetryIgnore = 1
    swMbOk = 2
    swMbOkCancel = 3
    swMbRetryCancel = 4
    swMbYesNo = 5
    swMbYesNoCancel = 6
End Enum

Public Enum swMessageBoxResult_e
    swMbHitAbort = 1
    swMbHitIgnore = 2
    swMbHitNo = 3
    swMbHitOk = 4
    swMbHitRetry = 5
    swMbHitYes = 6
    swMbHitCancel = 7
End Enum

Public Enum swDxfFormat_e
    swDxfFormat_R12 = 0
    swDxfFormat_R13 = 1
    swDxfFormat_R14 = 2
    swDxfFormat_R2000 = 3
End Enum

Public Enum swArrowDirection_e
    swINSIDE = 0
    swOUTSIDE = 1
    swSMART = 2
End Enum

' swUserPreferenceToggle_e
Const swDxfMapping                  As Long = 8
Const swDXFDontShowMap              As Long = 21
   
' swUserPreferenceIntegerValue_e
Const swDxfVersion                  As Long = 0
Const swDxfOutputFonts              As Long = 1
Const swDxfMappingFileIndex        As Long = 2
Const swDxfOutputLineStyles        As Long = 135
Const swDxfOutputNoScale            As Long = 136
Const swDxfOutputScaleFactor        As Long = 137

' swUserPreferenceStringListValue_e
Const swDxfMappingFiles            As Long = 0

Sub main()
    Dim swApp                  As SldWorks.SldWorks
    Dim swModel                As SldWorks.ModelDoc2
    Dim swDraw                  As SldWorks.DrawingDoc
    Dim sPathName              As String
    Dim nErrors                As Long
    Dim nWarnings              As Long
    Dim nRetval                As Long
    Dim bShowMap                As Boolean
    Dim bRet                    As Boolean
   
    Set swApp = CreateObject("SldWorks.Application")
    Set swModel = swApp.ActiveDoc
    Set swDraw = swModel
   
    ' strip off SolidWorks file extension (slddrw)
    ' and add DXF extension (dxf)
    sPathName = swModel.GetPathName
    sPathName = Left(sPathName, Len(sPathName) - 6)
    sPathName = sPathName + "dxf"
   
    ' dump current settings
    Debug.Print "DxfMapping            = " + Str(swApp.GetUserPreferenceToggle(swDxfMapping))
    Debug.Print "DXFDontShowMap        = " + Str(swApp.GetUserPreferenceToggle(swDXFDontShowMap))
   
    Debug.Print "DxfVersion            = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfVersion))
    Debug.Print "DxfOutputFonts        = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfOutputFonts))
    Debug.Print "DxfMappingFileIndex    = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfMappingFileIndex))
    Debug.Print "DxfOutputLineStyles    = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfOutputLineStyles))
    Debug.Print "DxfOutputNoScale      = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfOutputNoScale))
   
    ' currently broken
    '  SPR 132958 - "SldWorks::Get/SetUserPreferenceToggle(swDxfOutputScaleFactor) not implemented"
    Debug.Print "DxfOutputScaleFactor  = " + Str(swApp.GetUserPreferenceIntegerValue(swDxfOutputScaleFactor))
    Debug.Print ""
       
   
    ' turn off showing of map
    bShowMap = swApp.GetUserPreferenceToggle(swDXFDontShowMap)
    Debug.Print "bShowMap = " + Str(bShowMap)
   
    'If bShowMap = False Then bShowMap = True Else bShowMap = True
   
    ' currently broken
    '  SPR 121019 - "SldWorks::SetUserPreferenceToggle(swDXFDontShowMap) not implemented"
    swApp.SetUserPreferenceToggle swDXFDontShowMap, False
    bShowMap = swApp.GetUserPreferenceToggle(swDXFDontShowMap)
    Debug.Print "bShowMap = " + Str(bShowMap)
   
   
    bRet = swModel.SaveAs4(sPathName, _
            swSaveAsCurrentVersion, _
            swSaveAsOptions_Silent, _
            nErrors, _
            nWarnings)
    If bRet = False Then
        nRetval = swApp.SendMsgToUser2("Problems saving file.", swMbWarning, swMbOk)
    End If


    ' currently broken
    '  SPR 121019 - "SldWorks::SetUserPreferenceToggle(swDXFDontShowMap) not implemented"
    swApp.SetUserPreferenceToggle swDXFDontShowMap, bShowMap
    bShowMap = swApp.GetUserPreferenceToggle(swDXFDontShowMap)
    Debug.Print "bShowMap = " + Str(bShowMap)
End Sub
'----------------------------------------------


------------------
http://classicvb.org/petition/

Zitat:
Interpunktion und Orthographie des Postings sind frei erfunden.
Eine Übereinstimmung mit aktuellen oder ehemaligen Regeln wäre rein zufällig und ist nicht beabsichtigt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gerhardt
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von gerhardt an!   Senden Sie eine Private Message an gerhardt  Schreiben Sie einen Gästebucheintrag für gerhardt

Beiträge: 104
Registriert: 06.10.2003

SWX 2007 SP3.0
P4 4Ghz
2GB Ram
ATI Fire GL3100

erstellt am: 13. Jan. 2006 14:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke, für die Hilfe!

Es lag tatsächlich an dem Konstruktionsjournal. Das gelöscht und schon waren die Schilder weg. Wie dort allerdings was reingekommen ist kann sich keiner erklären.

Kann es möglich sein, das SWX dort "automatisch" (<- meiner Meinung nach das Unwort des Jahres 2005) was einträgt?

------------------
Munter bleiben

Peter

Irren ist menschlich. Aber wenn man richtig Mist bauen will, braucht man einen Computer.
(Dan Rather)
Dulce bellum inexpertis (Erasmus)
akt. Pratchett: Die Nachtwächter
Ab jetzt wird gebloggt!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8756
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 16. Jan. 2006 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für gerhardt 10 Unities + Antwort hilfreich


konstruktionsjournal-leer.gif

 
Hallo Peter,

Zitat:
Original erstellt von gerhardt:
Kann es möglich sein, das SWX dort "automatisch" (<- meiner Meinung nach das Unwort des Jahres 2005) was einträgt?

Nein, eigentlich nicht, es sei denn, in deiner Vorlage ist schon ein Konstruktionsjournal mit Inhalt drin.

Normalerweise gibt es dafür zwar einen Eintrag im Featurebaum, aber solange das noch nie angelegt (sprich mal einen Doppelklick drauf gemacht) wurde ist das noch "leer" (siehe Bild). Erst wenn man das einmal aufgerufen hat wird es auch tatsächlich angelegt und eingebettet. Wenn man allerding sin diesem Zustand dann das Ganze als Vorlage speichert ... 

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Member of CAD.de BOINC Team  -  | Seti@Home | CPDN | Einstein@Home

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gerhardt
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von gerhardt an!   Senden Sie eine Private Message an gerhardt  Schreiben Sie einen Gästebucheintrag für gerhardt

Beiträge: 104
Registriert: 06.10.2003

SWX 2007 SP3.0
P4 4Ghz
2GB Ram
ATI Fire GL3100

erstellt am: 16. Jan. 2006 11:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin Stefan

Es war tatsächlich so, das irgendjemand (natürlich war es keiner  ) in der Vorlage das Journal aufgemacht hat und dann abgespeichert.

Aber Problem ist jetzt behoben und alle sind zufrieden.

------------------
Munter bleiben

Peter

Irren ist menschlich. Aber wenn man richtig Mist bauen will, braucht man einen Computer.
(Dan Rather)
Dulce bellum inexpertis (Erasmus)
akt. Pratchett: Die Nachtwächter
Ab jetzt wird gebloggt!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz